#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	at-spi2-atk
Version		:	2.34.2
Release		:	14.4.0.0%{?dist}
Summary		:	A GTK+ module that bridges ATK to D-Bus at-spi
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/at-spi2-atk

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	meson, ninja
BuildRequires	:	at-spi2-core
BuildRequires	:	atk

Requires(post)	:	glibc
Requires(postun):	glibc
#-----------------------------------------------------------------------------
%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This version of at-spi is a major break from previous versions.
It has been completely rewritten to use D-Bus rather than
ORBIT / CORBA for its transport protocol.

This package includes a gtk-module that bridges ATK to the new
D-Bus based at-spi.

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

meson							\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--localstatedir=%{_var}				\
	build

ninja							\
	-C build

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja						\
	-C build					\
	install

%{__rm} -fr %{buildroot}%{_prefix}/lib/systemd
%{__rm} -fr %{buildroot}%{_datadir}/locale

%files			
%defattr(-,root,root,-)

%doc AUTHORS COPYING README NEWS
%{_includedir}/%{name}/2.0/*.h
%{_libdir}/libatk-bridge-2.0.so*
%{_libdir}/pkgconfig/atk-bridge-2.0.pc
%{_libdir}/gtk-2.0/modules/libatk-bridge.so*
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/%{name}.desktop

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
